import React from 'react';
import styles from './Switch.scss';

const Switch = ({label, onChange, ...props}) => {
  return (
    <label className={styles.switch} {...props}>
      <input type="checkbox" onChange={onChange}/>
      <span className={styles.slider}/>
      <span className={styles.label}>{label}</span>
    </label>
  )
}

export default Switch;